Bug 197833 - [maintainer update] [patch] www/mod_security: update to 2.9.0
Summary: [maintainer update] [patch] www/mod_security: update to 2.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adam Weinberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-19 20:59 UTC by Walter Hop
Modified: 2015-04-24 21:20 UTC (History)
2 users (show)

See Also:


Attachments
patch (8.93 KB, patch)
2015-02-19 20:59 UTC, Walter Hop
no flags Details | Diff
patch (8.90 KB, patch)
2015-03-08 20:48 UTC, Walter Hop
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Hop 2015-02-19 20:59:36 UTC
Created attachment 153193 [details]
patch

Changes:
- update ModSecurity to 2.9.0 (released Feb 12, 2015)
- add JSON parsing support via devel/yajl
- add support for loading remote configuration, which depends on ftp/curl
- add optional support for fuzzy hashes via security/ssdeep
- fix: use lua51 only, ModSecurity does not support lua 5.2 yet
- add FreeBSD specific README with installation and configuration hints
- pkg-message: refer uses to README
- use ETCDIR=etc/modsecurity for config files
- install recommended modsecurity.conf using .sample config file convention
- port skeleton cleanups

New files: files/README.in files/pkg-message.in pkg-plist
Tested: FreeBSD 9.3+10.1, Apache 2.2+2.4
This is my first nontrivial port update, so review is welcome.
Comment 1 Bartek Rutkowski freebsd_committer 2015-03-01 17:38:53 UTC
Any reason for README.in file not being merged with pkg-message.in? If this in fact is a longer form of documentation, then instead it should be installed as a DOCS and not as README.in.

Also, if you test your port with 'portlint' command, you'll see some things for you to fix. Make sure to always include portlint's output and poudriere's build log along with your patch!
Comment 2 Walter Hop 2015-03-08 20:48:39 UTC
Created attachment 154035 [details]
patch

- add DOCS option: by deselecting it README and upstream docs won't be installed
- pkg-plist: remove deprecated @dirrmtry, this is now default behavior
- Makefile style: use tabs in assignment

portlint was already clean, portlint -C is now also clean.

My local poudriere box is in disarray, so I don't have logs for this change right now. Due to real life, it could take 2 weeks before I can tend to it. So feel free to either approve or wait.
Comment 3 Adam Weinberger freebsd_committer 2015-04-24 21:18:13 UTC
Committed with many modifications.

This port failed in poudriere due to altering httpd.conf in a non-reversible way. I commented out the apxs line in pkg-plist. If you solve the problem, please submit it in a new PR and I'm happy to commit it. This PR has been sitting for so long that it seemed better to just commit it with the line commented.

You had a lot of whitespace problems, the port looked quite sloppy. I fixed most of them.

Also, I changed the conf file to @sample, which is the remainder of the convention you switched to in the PR.
Comment 4 commit-hook freebsd_committer 2015-04-24 21:20:05 UTC
A commit references this bug:

Author: adamw
Date: Fri Apr 24 21:19:41 UTC 2015
New revision: 384686
URL: https://svnweb.freebsd.org/changeset/ports/384686

Log:
  Update to 2.9.0.

  Changes:
  - update ModSecurity to 2.9.0 (released Feb 12, 2015)
  - add JSON parsing support via devel/yajl
  - add support for loading remote configuration, which depends on ftp/curl
  - add optional support for fuzzy hashes via security/ssdeep
  - fix: use lua51 only, ModSecurity does not support lua 5.2 yet
  - add FreeBSD specific README with installation and configuration hints
  - pkg-message: refer uses to README
  - install recommended modsecurity.conf using .sample config file convention
  - port skeleton cleanups

  PR:		197833
  Submitted by:	maintainer (Walter Hop)

Changes:
  head/www/mod_security/Makefile
  head/www/mod_security/distinfo
  head/www/mod_security/files/README.in
  head/www/mod_security/files/pkg-message.in
  head/www/mod_security/pkg-plist